/*    */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb;
/*    */ 
/*    */ import java.util.Collection;
/*    */ import java.util.GregorianCalendar;
/*    */ import java.util.HashMap;
/*    */ import java.util.Map;
/*    */ import java.util.TimeZone;
/*    */ import javax.xml.bind.annotation.adapters.XmlAdapter;
/*    */ import javax.xml.datatype.XMLGregorianCalendar;
/*    */ import net.sf.jasperreports.types.date.RelativeDateRange;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class ReportJobSourceParametersXmlAdapter
/*    */   extends XmlAdapter<ReportParametersMapWrapper, Map<String, Object>>
/*    */ {
/*    */   public ReportParametersMapWrapper marshal(Map<String, Object> v)
/*    */     throws Exception
/*    */   {
/* 40 */     HashMap<String, Object> result = null;
/* 41 */     if ((v != null) && (!v.isEmpty())) {
/* 42 */       result = new HashMap();
/* 43 */       for (String currentKey : v.keySet()) {
/* 44 */         Object currentValue = v.get(currentKey);
/* 45 */         if (("REPORT_TIME_ZONE".equals(currentKey)) && ((currentValue instanceof TimeZone))) {
/* 46 */           currentValue = ((TimeZone)currentValue).getID();
/* 47 */         } else if ((currentValue instanceof Collection)) {
/* 48 */           ValuesCollection collectionWrapper = new ValuesCollection();
/* 49 */           collectionWrapper.setCollection((Collection)currentValue);
/* 50 */           currentValue = collectionWrapper;
/* 51 */         } else if ((currentValue instanceof RelativeDateRange)) {
/* 52 */           currentValue = new RelativeDateRangeWrapper((RelativeDateRange)currentValue);
/*    */         }
/* 54 */         result.put(currentKey, currentValue);
/*    */       }
/*    */     }
/* 57 */     return result != null ? new ReportParametersMapWrapper(result) : null;
/*    */   }
/*    */   
/*    */   public Map<String, Object> unmarshal(ReportParametersMapWrapper v) throws Exception
/*    */   {
/* 62 */     Map<String, Object> result = null;
/* 63 */     HashMap<String, Object> parameterValues; if (v != null) {
/* 64 */       parameterValues = v.getParameterValues();
/* 65 */       if ((parameterValues != null) && (!parameterValues.isEmpty())) {
/* 66 */         result = new HashMap();
/* 67 */         for (String currentKey : parameterValues.keySet()) {
/* 68 */           Object currentValue = parameterValues.get(currentKey);
/* 69 */           if (("REPORT_TIME_ZONE".equals(currentKey)) && ((currentValue instanceof String))) {
/* 70 */             currentValue = TimeZone.getTimeZone((String)currentValue);
/* 71 */           } else if ((currentValue instanceof ValuesCollection)) {
/* 72 */             currentValue = ((ValuesCollection)currentValue).getCollection();
/* 73 */           } else if ((currentValue instanceof XMLGregorianCalendar)) {
/* 74 */             currentValue = ((XMLGregorianCalendar)currentValue).toGregorianCalendar().getTime();
/* 75 */           } else if ((currentValue instanceof RelativeDateRangeWrapper)) {
/* 76 */             currentValue = ((RelativeDateRangeWrapper)currentValue).getRelativeDateRange();
/* 77 */           } else if ((currentValue instanceof Map)) {
/* 78 */             Map map = (Map)currentValue;
/* 79 */             Object expression = map.get("expression");
/* 80 */             if (((expression instanceof String)) && (map.size() == 1))
/*    */             {
/*    */ 
/* 83 */               currentValue = new RelativeDateRange((String)expression);
/*    */             }
/*    */           }
/* 86 */           result.put(currentKey, currentValue);
/*    */         }
/*    */       }
/*    */     }
/* 90 */     return result;
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\jaxb\ReportJobSourceParametersXmlAdapter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */