/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.util.Calendar;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class JobTrigger
/*     */   implements Serializable
/*     */ {
/*     */   private long id;
/*     */   private int version;
/*     */   private String timezone;
/*     */   private Calendar startDate;
/*     */   private Calendar endDate;
/*     */   
/*     */   public JobTrigger() {}
/*     */   
/*     */   public JobTrigger(long id, int version, String timezone, Calendar startDate, Calendar endDate)
/*     */   {
/*  50 */     this.id = id;
/*  51 */     this.version = version;
/*  52 */     this.timezone = timezone;
/*  53 */     this.startDate = startDate;
/*  54 */     this.endDate = endDate;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public long getId()
/*     */   {
/*  64 */     return this.id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setId(long id)
/*     */   {
/*  74 */     this.id = id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getVersion()
/*     */   {
/*  84 */     return this.version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setVersion(int version)
/*     */   {
/*  94 */     this.version = version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getTimezone()
/*     */   {
/* 104 */     return this.timezone;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTimezone(String timezone)
/*     */   {
/* 114 */     this.timezone = timezone;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Calendar getStartDate()
/*     */   {
/* 124 */     return this.startDate;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setStartDate(Calendar startDate)
/*     */   {
/* 134 */     this.startDate = startDate;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Calendar getEndDate()
/*     */   {
/* 144 */     return this.endDate;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setEndDate(Calendar endDate)
/*     */   {
/* 154 */     this.endDate = endDate;
/*     */   }
/*     */   
/* 157 */   private Object __equalsCalc = null;
/*     */   
/* 159 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof JobTrigger)) return false;
/* 160 */     JobTrigger other = (JobTrigger)obj;
/* 161 */     if (obj == null) return false;
/* 162 */     if (this == obj) return true;
/* 163 */     if (this.__equalsCalc != null) {
/* 164 */       return this.__equalsCalc == obj;
/*     */     }
/* 166 */     this.__equalsCalc = obj;
/*     */     
/* 168 */     boolean _equals = (this.id == other.getId()) && (this.version == other.getVersion()) && (((this.timezone == null) && (other.getTimezone() == null)) || ((this.timezone != null) && (this.timezone.equals(other.getTimezone())) && (((this.startDate == null) && (other.getStartDate() == null)) || ((this.startDate != null) && (this.startDate.equals(other.getStartDate())) && (((this.endDate == null) && (other.getEndDate() == null)) || ((this.endDate != null) && (this.endDate.equals(other.getEndDate()))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 180 */     this.__equalsCalc = null;
/* 181 */     return _equals;
/*     */   }
/*     */   
/* 184 */   private boolean __hashCodeCalc = false;
/*     */   
/* 186 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 187 */       return 0;
/*     */     }
/* 189 */     this.__hashCodeCalc = true;
/* 190 */     int _hashCode = 1;
/* 191 */     _hashCode += new Long(getId()).hashCode();
/* 192 */     _hashCode += getVersion();
/* 193 */     if (getTimezone() != null) {
/* 194 */       _hashCode += getTimezone().hashCode();
/*     */     }
/* 196 */     if (getStartDate() != null) {
/* 197 */       _hashCode += getStartDate().hashCode();
/*     */     }
/* 199 */     if (getEndDate() != null) {
/* 200 */       _hashCode += getEndDate().hashCode();
/*     */     }
/* 202 */     this.__hashCodeCalc = false;
/* 203 */     return _hashCode;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\JobTrigger.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */