/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.authority;
/*     */ 
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="organization")
/*     */ public class Organization
/*     */ {
/*  29 */   private String id = null;
/*  30 */   private String alias = null;
/*  31 */   private String parentId = null;
/*  32 */   private String tenantName = null;
/*  33 */   private String tenantDesc = null;
/*  34 */   private String tenantNote = null;
/*  35 */   private String tenantUri = null;
/*  36 */   private String tenantFolderUri = null;
/*  37 */   private String theme = null;
/*     */   
/*     */   public String getTenantDesc() {
/*  40 */     return this.tenantDesc;
/*     */   }
/*     */   
/*     */   public Organization setTenantDesc(String tenantDesc) {
/*  44 */     this.tenantDesc = tenantDesc;
/*  45 */     return this;
/*     */   }
/*     */   
/*     */   public String getTenantNote() {
/*  49 */     return this.tenantNote;
/*     */   }
/*     */   
/*     */   public Organization setTenantNote(String tenantNote) {
/*  53 */     this.tenantNote = tenantNote;
/*  54 */     return this;
/*     */   }
/*     */   
/*     */ 
/*  58 */   public String getId() { return this.id; }
/*     */   
/*     */   public Organization setId(String pid) {
/*  61 */     this.id = pid;
/*  62 */     return this;
/*     */   }
/*     */   
/*     */   public String getAlias() {
/*  66 */     return this.alias;
/*     */   }
/*     */   
/*     */   public Organization setAlias(String alias) {
/*  70 */     this.alias = alias;
/*  71 */     return this;
/*     */   }
/*     */   
/*     */   public String getParentId() {
/*  75 */     return this.parentId;
/*     */   }
/*     */   
/*     */   public Organization setParentId(String parentId) {
/*  79 */     this.parentId = parentId;
/*  80 */     return this;
/*     */   }
/*     */   
/*     */   public String getTenantName() {
/*  84 */     return this.tenantName;
/*     */   }
/*     */   
/*     */   public Organization setTenantName(String tenantName) {
/*  88 */     this.tenantName = tenantName;
/*  89 */     return this;
/*     */   }
/*     */   
/*     */   public String getTenantUri() {
/*  93 */     return this.tenantUri;
/*     */   }
/*     */   
/*     */   public Organization setTenantUri(String tenantUri) {
/*  97 */     this.tenantUri = tenantUri;
/*  98 */     return this;
/*     */   }
/*     */   
/*     */ 
/* 102 */   public String getTenantFolderUri() { return this.tenantFolderUri; }
/*     */   
/*     */   public Organization setTenantFolderUri(String tenantFolderUri) {
/* 105 */     this.tenantFolderUri = tenantFolderUri;
/* 106 */     return this;
/*     */   }
/*     */   
/*     */   public String getTheme() {
/* 110 */     return this.theme;
/*     */   }
/*     */   
/*     */   public Organization setTheme(String theme) {
/* 114 */     this.theme = theme;
/* 115 */     return this;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 120 */     if (this == o) return true;
/* 121 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/* 123 */     Organization that = (Organization)o;
/*     */     
/* 125 */     if (this.alias != null ? !this.alias.equals(that.alias) : that.alias != null) return false;
/* 126 */     if (this.id != null ? !this.id.equals(that.id) : that.id != null) return false;
/* 127 */     if (this.parentId != null ? !this.parentId.equals(that.parentId) : that.parentId != null) return false;
/* 128 */     if (this.tenantDesc != null ? !this.tenantDesc.equals(that.tenantDesc) : that.tenantDesc != null) return false;
/* 129 */     if (this.tenantFolderUri != null ? !this.tenantFolderUri.equals(that.tenantFolderUri) : that.tenantFolderUri != null)
/* 130 */       return false;
/* 131 */     if (this.tenantName != null ? !this.tenantName.equals(that.tenantName) : that.tenantName != null) return false;
/* 132 */     if (this.tenantNote != null ? !this.tenantNote.equals(that.tenantNote) : that.tenantNote != null) return false;
/* 133 */     if (this.tenantUri != null ? !this.tenantUri.equals(that.tenantUri) : that.tenantUri != null) return false;
/* 134 */     if (this.theme != null ? !this.theme.equals(that.theme) : that.theme != null) { return false;
/*     */     }
/* 136 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 141 */     int result = this.id != null ? this.id.hashCode() : 0;
/* 142 */     result = 31 * result + (this.alias != null ? this.alias.hashCode() : 0);
/* 143 */     result = 31 * result + (this.parentId != null ? this.parentId.hashCode() : 0);
/* 144 */     result = 31 * result + (this.tenantName != null ? this.tenantName.hashCode() : 0);
/* 145 */     result = 31 * result + (this.tenantDesc != null ? this.tenantDesc.hashCode() : 0);
/* 146 */     result = 31 * result + (this.tenantNote != null ? this.tenantNote.hashCode() : 0);
/* 147 */     result = 31 * result + (this.tenantUri != null ? this.tenantUri.hashCode() : 0);
/* 148 */     result = 31 * result + (this.tenantFolderUri != null ? this.tenantFolderUri.hashCode() : 0);
/* 149 */     result = 31 * result + (this.theme != null ? this.theme.hashCode() : 0);
/* 150 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 155 */     return "Organization{id='" + this.id + '\'' + ", alias='" + this.alias + '\'' + ", parentId='" + this.parentId + '\'' + ", tenantName='" + this.tenantName + '\'' + ", tenantDesc='" + this.tenantDesc + '\'' + ", tenantNote='" + this.tenantNote + '\'' + ", tenantUri='" + this.tenantUri + '\'' + ", tenantFolderUri='" + this.tenantFolderUri + '\'' + ", theme='" + this.theme + '\'' + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\authority\Organization.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */