/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.DaysByteXmlAdapter;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.MonthsByteXmlAdapter;
/*     */ import java.util.SortedSet;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="calendarTrigger")
/*     */ public class CalendarTrigger
/*     */   extends JobTrigger
/*     */ {
/*     */   private String minutes;
/*     */   private String hours;
/*     */   private CalendarDaysType daysType;
/*     */   private SortedSet<Byte> weekDays;
/*     */   private String monthDays;
/*     */   private SortedSet<Byte> months;
/*     */   
/*     */   public String getMinutes()
/*     */   {
/*  42 */     return this.minutes;
/*     */   }
/*     */   
/*     */   public void setMinutes(String minutes) {
/*  46 */     this.minutes = minutes;
/*     */   }
/*     */   
/*     */   public String getHours() {
/*  50 */     return this.hours;
/*     */   }
/*     */   
/*     */   public void setHours(String hours) {
/*  54 */     this.hours = hours;
/*     */   }
/*     */   
/*     */   public String getMonthDays() {
/*  58 */     return this.monthDays;
/*     */   }
/*     */   
/*     */   public void setMonthDays(String monthDays) {
/*  62 */     this.monthDays = monthDays;
/*     */   }
/*     */   
/*     */   public CalendarDaysType getDaysType() {
/*  66 */     return this.daysType;
/*     */   }
/*     */   
/*     */   public void setDaysType(CalendarDaysType daysType) {
/*  70 */     this.daysType = daysType;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(DaysByteXmlAdapter.class)
/*     */   public SortedSet<Byte> getWeekDays() {
/*  75 */     return this.weekDays;
/*     */   }
/*     */   
/*     */   public void setWeekDays(SortedSet<Byte> weekDays) {
/*  79 */     this.weekDays = weekDays;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(MonthsByteXmlAdapter.class)
/*     */   public SortedSet<Byte> getMonths() {
/*  84 */     return this.months;
/*     */   }
/*     */   
/*     */   public void setMonths(SortedSet<Byte> months) {
/*  88 */     this.months = months;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/*  93 */     if (this == o) return true;
/*  94 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/*  96 */     CalendarTrigger that = (CalendarTrigger)o;
/*     */     
/*  98 */     if (this.daysType != null ? !this.daysType.equals(that.daysType) : that.daysType != null) return false;
/*  99 */     if (this.hours != null ? !this.hours.equals(that.hours) : that.hours != null) return false;
/* 100 */     if (this.minutes != null ? !this.minutes.equals(that.minutes) : that.minutes != null) return false;
/* 101 */     if (this.monthDays != null ? !this.monthDays.equals(that.monthDays) : that.monthDays != null) return false;
/* 102 */     if (this.months != null ? !this.months.equals(that.months) : that.months != null) return false;
/* 103 */     if (this.weekDays != null ? !this.weekDays.equals(that.weekDays) : that.weekDays != null) { return false;
/*     */     }
/* 105 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 110 */     int result = this.minutes != null ? this.minutes.hashCode() : 0;
/* 111 */     result = 31 * result + (this.hours != null ? this.hours.hashCode() : 0);
/* 112 */     result = 31 * result + (this.daysType != null ? this.daysType.hashCode() : 0);
/* 113 */     result = 31 * result + (this.weekDays != null ? this.weekDays.hashCode() : 0);
/* 114 */     result = 31 * result + (this.monthDays != null ? this.monthDays.hashCode() : 0);
/* 115 */     result = 31 * result + (this.months != null ? this.months.hashCode() : 0);
/* 116 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 121 */     return "CalendarTrigger{minutes='" + this.minutes + '\'' + ", hours='" + this.hours + '\'' + ", daysType='" + this.daysType + '\'' + ", weekDays=" + this.weekDays + ", monthDays='" + this.monthDays + '\'' + ", months=" + this.months + "} " + super.toString();
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\CalendarTrigger.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */