/*     */ package com.jaspersoft.jasperserver.jaxrs.client.providers;
/*     */ 
/*     */ import java.lang.annotation.Annotation;
/*     */ import java.lang.reflect.Type;
/*     */ import javax.ws.rs.Consumes;
/*     */ import javax.ws.rs.Produces;
/*     */ import javax.ws.rs.core.MediaType;
/*     */ import javax.ws.rs.ext.Provider;
/*     */ import org.codehaus.jackson.jaxrs.Annotations;
/*     */ import org.codehaus.jackson.jaxrs.JacksonJaxbJsonProvider;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @Provider
/*     */ @Consumes({"application/xml", "application/collection+json", "application/collection+xml", "application/job+json", "application/job+xml", "application/connections.ftp+json", "application/connections.ftp+xml", "application/connections.lfs+json", "application/connections.lfs+xml", "application/connections.txtFile+json", "application/connections.txtFile+xml", "application/connections.xlsFile+json", "application/connections.xlsFile+xml", "application/repository.listOfValues+json", "application/repository.listOfValues+xml", "application/repository.adhocDataView+json", "application/repository.adhocDataView+xml", "application/repository.awsDataSource+json", "application/repository.awsDataSource+xml", "application/repository.beanDataSource+json", "application/repository.beanDataSource+xml", "application/repository.customDataSource+json", "application/repository.customDataSource+xml", "application/repository.dataType+json", "application/repository.dataType+xml", "application/repository.file+json", "application/repository.file+xml", "application/repository.folder+json", "application/repository.folder+xml", "application/repository.inputControl+json", "application/repository.inputControl+xml", "application/repository.jdbcDataSource+json", "application/repository.jdbcDataSource+xml", "application/repository.jndiJdbcDataSource+json", "application/repository.jndiJdbcDataSource+xml", "application/repository.mondrianConnection+json", "application/repository.mondrianConnection+xml", "application/repository.mondrianXmlaDefinition+json", "application/repository.mondrianXmlaDefinition+xml", "application/repository.olapUnit+json", "application/repository.olapUnit+xml", "application/repository.query+json", "application/repository.query+xml", "application/repository.reportUnit+json", "application/repository.reportUnit+xml", "application/repository.secureMondrianConnection+json", "application/repository.secureMondrianConnection+xml", "application/repository.semanticLayerDataSource+json", "application/repository.semanticLayerDataSource+xml", "application/repository.virtualDataSource+json", "application/repository.virtualDataSource+xml", "application/repository.xmlaConnection+json", "application/repository.xmlaConnection+xml", "application/repository.resourceLookup+json", "application/repository.resourceLookup+xml", "application/repository.dashboard+json", "application/repository.dashboard+xml", "application/repository.domainTopic+json", "application/repository.domainTopic+xml", "application/repository.semanticlayerdatasource+json", "application/repository.semanticlayerdatasource+xml", "text/json", "text/xml"})
/*     */ @Produces({"application/collection+json", "application/collection+xml", "application/job+json", "application/job+xml", "application/connections.ftp+json", "application/connections.ftp+xml", "application/connections.lfs+json", "application/connections.lfs+xml", "application/connections.txtFile+json", "application/connections.txtFile+xml", "application/connections.xlsFile+json", "application/connections.xlsFile+xml", "application/repository.listOfValues+json", "application/repository.listOfValues+xml", "application/repository.adhocDataView+json", "application/repository.adhocDataView+xml", "application/repository.awsDataSource+json", "application/repository.awsDataSource+xml", "application/repository.beanDataSource+json", "application/repository.beanDataSource+xml", "application/repository.customDataSource+json", "application/repository.customDataSource+xml", "application/repository.dataType+json", "application/repository.dataType+xml", "application/repository.file+json", "application/repository.file+xml", "application/repository.folder+json", "application/repository.folder+xml", "application/repository.inputControl+json", "application/repository.inputControl+xml", "application/repository.jdbcDataSource+json", "application/repository.jdbcDataSource+xml", "application/repository.jndiJdbcDataSource+json", "application/repository.jndiJdbcDataSource+xml", "application/repository.mondrianConnection+json", "application/repository.mondrianConnection+xml", "application/repository.mondrianXmlaDefinition+json", "application/repository.mondrianXmlaDefinition+xml", "application/repository.olapUnit+json", "application/repository.olapUnit+xml", "application/repository.query+json", "application/repository.query+xml", "application/repository.reportUnit+json", "application/repository.reportUnit+xml", "application/repository.secureMondrianConnection+json", "application/repository.secureMondrianConnection+xml", "application/repository.semanticLayerDataSource+json", "application/repository.semanticLayerDataSource+xml", "application/repository.virtualDataSource+json", "application/repository.virtualDataSource+xml", "application/repository.xmlaConnection+json", "application/repository.xmlaConnection+xml", "application/repository.resourceLookup+json", "application/repository.resourceLookup+xml", "application/repository.dashboard+json", "application/repository.dashboard+xml", "application/repository.domainTopic+json", "application/repository.domainTopic+xml", "application/repository.semanticLayerDataSource+json", "application/repository.semanticLayerDataSource+xml", "application/xml", "text/json", "text/xml"})
/*     */ public class CustomRepresentationTypeProvider
/*     */   extends JacksonJaxbJsonProvider
/*     */ {
/*     */   public CustomRepresentationTypeProvider()
/*     */   {
/* 169 */     super(new Annotations[] { Annotations.JACKSON, Annotations.JAXB });
/*     */   }
/*     */   
/*     */   public boolean isReadable(Class<?> aClass, Type type, Annotation[] annotations, MediaType mediaType)
/*     */   {
/* 174 */     return super.isReadable(aClass, type, annotations, mediaType);
/*     */   }
/*     */   
/*     */   public boolean isWriteable(Class<?> aClass, Type type, Annotation[] annotations, MediaType mediaType)
/*     */   {
/* 179 */     return super.isWriteable(aClass, type, annotations, mediaType);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\providers\CustomRepresentationTypeProvider.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */