/*     */ package com.jaspersoft.jasperserver.ws.authority;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.lang.reflect.Array;
/*     */ import java.util.Arrays;
/*     */ import java.util.Date;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.description.ElementDesc;
/*     */ import org.apache.axis.description.TypeDesc;
/*     */ import org.apache.axis.encoding.Deserializer;
/*     */ import org.apache.axis.encoding.Serializer;
/*     */ import org.apache.axis.encoding.ser.BeanDeserializer;
/*     */ import org.apache.axis.encoding.ser.BeanSerializer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="user")
/*     */ public class WSUser
/*     */   implements Serializable
/*     */ {
/*     */   private String username;
/*     */   private String fullName;
/*     */   private String password;
/*     */   private String emailAddress;
/*     */   private Boolean externallyDefined;
/*     */   private Boolean enabled;
/*     */   private Date previousPasswordChangeTime;
/*     */   private String tenantId;
/*     */   private WSRole[] roles;
/*     */   
/*     */   public WSUser(String username, String fullName, String password, String emailAddress, Boolean externallyDefined, Boolean enabled, Date previousPasswordChangeTime, String tenantId, WSRole[] roles)
/*     */   {
/*  66 */     this.username = username;
/*  67 */     this.fullName = fullName;
/*  68 */     this.password = password;
/*  69 */     this.emailAddress = emailAddress;
/*  70 */     this.externallyDefined = externallyDefined;
/*  71 */     this.enabled = enabled;
/*  72 */     this.previousPasswordChangeTime = previousPasswordChangeTime;
/*  73 */     this.tenantId = tenantId;
/*  74 */     this.roles = roles;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getUsername()
/*     */   {
/*  84 */     return this.username;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setUsername(String username)
/*     */   {
/*  94 */     this.username = username;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getFullName()
/*     */   {
/* 104 */     return this.fullName;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setFullName(String fullName)
/*     */   {
/* 114 */     this.fullName = fullName;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getPassword()
/*     */   {
/* 124 */     return this.password;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setPassword(String password)
/*     */   {
/* 134 */     this.password = password;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getEmailAddress()
/*     */   {
/* 144 */     return this.emailAddress;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setEmailAddress(String emailAddress)
/*     */   {
/* 154 */     this.emailAddress = emailAddress;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Boolean getExternallyDefined()
/*     */   {
/* 164 */     return this.externallyDefined;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setExternallyDefined(Boolean externallyDefined)
/*     */   {
/* 174 */     this.externallyDefined = externallyDefined;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Boolean getEnabled()
/*     */   {
/* 184 */     return this.enabled;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setEnabled(Boolean enabled)
/*     */   {
/* 194 */     this.enabled = enabled;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Date getPreviousPasswordChangeTime()
/*     */   {
/* 204 */     return this.previousPasswordChangeTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setPreviousPasswordChangeTime(Date previousPasswordChangeTime)
/*     */   {
/* 214 */     this.previousPasswordChangeTime = previousPasswordChangeTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getTenantId()
/*     */   {
/* 224 */     return this.tenantId;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTenantId(String tenantId)
/*     */   {
/* 234 */     this.tenantId = tenantId;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public WSRole[] getRoles()
/*     */   {
/* 244 */     return this.roles;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRoles(WSRole[] roles)
/*     */   {
/* 254 */     this.roles = roles;
/*     */   }
/*     */   
/* 257 */   private Object __equalsCalc = null;
/*     */   
/* 259 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof WSUser)) return false;
/* 260 */     WSUser other = (WSUser)obj;
/* 261 */     if (obj == null) return false;
/* 262 */     if (this == obj) return true;
/* 263 */     if (this.__equalsCalc != null) {
/* 264 */       return this.__equalsCalc == obj;
/*     */     }
/* 266 */     this.__equalsCalc = obj;
/*     */     
/* 268 */     boolean _equals = ((this.username == null) && (other.getUsername() == null)) || ((this.username != null) && (this.username.equals(other.getUsername())) && (((this.fullName == null) && (other.getFullName() == null)) || ((this.fullName != null) && (this.fullName.equals(other.getFullName())) && (((this.password == null) && (other.getPassword() == null)) || ((this.password != null) && (this.password.equals(other.getPassword())) && (((this.emailAddress == null) && (other.getEmailAddress() == null)) || ((this.emailAddress != null) && (this.emailAddress.equals(other.getEmailAddress())) && (((this.externallyDefined == null) && (other.getExternallyDefined() == null)) || ((this.externallyDefined != null) && (this.externallyDefined.equals(other.getExternallyDefined())) && (((this.enabled == null) && (other.getEnabled() == null)) || ((this.enabled != null) && (this.enabled.equals(other.getEnabled())) && (((this.previousPasswordChangeTime == null) && (other.getPreviousPasswordChangeTime() == null)) || ((this.previousPasswordChangeTime != null) && (this.previousPasswordChangeTime.equals(other.getPreviousPasswordChangeTime())) && (((this.tenantId == null) && (other.getTenantId() == null)) || ((this.tenantId != null) && (this.tenantId.equals(other.getTenantId())) && (((this.roles == null) && (other.getRoles() == null)) || ((this.roles != null) && (Arrays.equals(this.roles, other.getRoles())))))))))))))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 296 */     this.__equalsCalc = null;
/* 297 */     return _equals;
/*     */   }
/*     */   
/* 300 */   private boolean __hashCodeCalc = false;
/*     */   
/* 302 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 303 */       return 0;
/*     */     }
/* 305 */     this.__hashCodeCalc = true;
/* 306 */     int _hashCode = 1;
/* 307 */     if (getUsername() != null) {
/* 308 */       _hashCode += getUsername().hashCode();
/*     */     }
/* 310 */     if (getFullName() != null) {
/* 311 */       _hashCode += getFullName().hashCode();
/*     */     }
/* 313 */     if (getPassword() != null) {
/* 314 */       _hashCode += getPassword().hashCode();
/*     */     }
/* 316 */     if (getEmailAddress() != null) {
/* 317 */       _hashCode += getEmailAddress().hashCode();
/*     */     }
/* 319 */     if (getExternallyDefined() != null) {
/* 320 */       _hashCode += getExternallyDefined().hashCode();
/*     */     }
/* 322 */     if (getEnabled() != null) {
/* 323 */       _hashCode += getEnabled().hashCode();
/*     */     }
/* 325 */     if (getPreviousPasswordChangeTime() != null) {
/* 326 */       _hashCode += getPreviousPasswordChangeTime().hashCode();
/*     */     }
/* 328 */     if (getTenantId() != null) {
/* 329 */       _hashCode += getTenantId().hashCode();
/*     */     }
/* 331 */     if (getRoles() != null) {
/* 332 */       for (int i = 0; 
/* 333 */           i < Array.getLength(getRoles()); 
/* 334 */           i++) {
/* 335 */         Object obj = Array.get(getRoles(), i);
/* 336 */         if ((obj != null) && (!obj.getClass().isArray()))
/*     */         {
/* 338 */           _hashCode += obj.hashCode();
/*     */         }
/*     */       }
/*     */     }
/* 342 */     this.__hashCodeCalc = false;
/* 343 */     return _hashCode;
/*     */   }
/*     */   
/*     */ 
/* 347 */   private static TypeDesc typeDesc = new TypeDesc(WSUser.class, true);
/*     */   
/*     */   static
/*     */   {
/* 351 */     typeDesc.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "WSUser"));
/* 352 */     ElementDesc elemField = new ElementDesc();
/* 353 */     elemField.setFieldName("username");
/* 354 */     elemField.setXmlName(new QName("", "username"));
/* 355 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 356 */     elemField.setNillable(false);
/* 357 */     typeDesc.addFieldDesc(elemField);
/* 358 */     elemField = new ElementDesc();
/* 359 */     elemField.setFieldName("fullName");
/* 360 */     elemField.setXmlName(new QName("", "fullName"));
/* 361 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 362 */     elemField.setNillable(true);
/* 363 */     typeDesc.addFieldDesc(elemField);
/* 364 */     elemField = new ElementDesc();
/* 365 */     elemField.setFieldName("password");
/* 366 */     elemField.setXmlName(new QName("", "password"));
/* 367 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 368 */     elemField.setNillable(true);
/* 369 */     typeDesc.addFieldDesc(elemField);
/* 370 */     elemField = new ElementDesc();
/* 371 */     elemField.setFieldName("emailAddress");
/* 372 */     elemField.setXmlName(new QName("", "emailAddress"));
/* 373 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 374 */     elemField.setNillable(true);
/* 375 */     typeDesc.addFieldDesc(elemField);
/* 376 */     elemField = new ElementDesc();
/* 377 */     elemField.setFieldName("externallyDefined");
/* 378 */     elemField.setXmlName(new QName("", "externallyDefined"));
/* 379 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "boolean"));
/* 380 */     elemField.setNillable(true);
/* 381 */     typeDesc.addFieldDesc(elemField);
/* 382 */     elemField = new ElementDesc();
/* 383 */     elemField.setFieldName("enabled");
/* 384 */     elemField.setXmlName(new QName("", "enabled"));
/* 385 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "boolean"));
/* 386 */     elemField.setNillable(true);
/* 387 */     typeDesc.addFieldDesc(elemField);
/* 388 */     elemField = new ElementDesc();
/* 389 */     elemField.setFieldName("previousPasswordChangeTime");
/* 390 */     elemField.setXmlName(new QName("", "previousPasswordChangeTime"));
/* 391 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "date"));
/* 392 */     elemField.setNillable(true);
/* 393 */     typeDesc.addFieldDesc(elemField);
/* 394 */     elemField = new ElementDesc();
/* 395 */     elemField.setFieldName("tenantId");
/* 396 */     elemField.setXmlName(new QName("", "tenantId"));
/* 397 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 398 */     elemField.setNillable(true);
/* 399 */     typeDesc.addFieldDesc(elemField);
/* 400 */     elemField = new ElementDesc();
/* 401 */     elemField.setFieldName("roles");
/* 402 */     elemField.setXmlName(new QName("", "roles"));
/* 403 */     elemField.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "WSRole"));
/* 404 */     elemField.setNillable(true);
/* 405 */     typeDesc.addFieldDesc(elemField);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static TypeDesc getTypeDesc()
/*     */   {
/* 412 */     return typeDesc;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 422 */     return new BeanSerializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 434 */     return new BeanDeserializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */   public WSUser() {}
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\authority\WSUser.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */