/*    */ package com.jaspersoft.jasperserver.ws.scheduling;
/*    */ 
/*    */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb.ReportJobStateXmlAdapter.State;
/*    */ import java.io.ObjectStreamException;
/*    */ import java.io.Serializable;
/*    */ import java.util.HashMap;
/*    */ import javax.xml.namespace.QName;
/*    */ import org.apache.axis.description.TypeDesc;
/*    */ import org.apache.axis.encoding.Deserializer;
/*    */ import org.apache.axis.encoding.Serializer;
/*    */ import org.apache.axis.encoding.ser.EnumDeserializer;
/*    */ import org.apache.axis.encoding.ser.EnumSerializer;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class RuntimeJobState
/*    */   implements Serializable
/*    */ {
/*    */   private String value;
/* 34 */   private static HashMap table = new HashMap();
/*    */   
/*    */   protected RuntimeJobState(String value)
/*    */   {
/* 38 */     this.value = value;
/* 39 */     table.put(this.value, this);
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */ 
/* 45 */   public static final RuntimeJobState UNKNOWN = new RuntimeJobState(ReportJobStateXmlAdapter.State.UNKNOWN.name());
/* 46 */   public static final RuntimeJobState NORMAL = new RuntimeJobState(ReportJobStateXmlAdapter.State.NORMAL.name());
/* 47 */   public static final RuntimeJobState EXECUTING = new RuntimeJobState(ReportJobStateXmlAdapter.State.EXECUTING.name());
/* 48 */   public static final RuntimeJobState PAUSED = new RuntimeJobState(ReportJobStateXmlAdapter.State.PAUSED.name());
/* 49 */   public static final RuntimeJobState COMPLETE = new RuntimeJobState(ReportJobStateXmlAdapter.State.COMPLETE.name());
/* 50 */   public static final RuntimeJobState ERROR = new RuntimeJobState(ReportJobStateXmlAdapter.State.ERROR.name());
/*    */   
/* 52 */   public String getValue() { return this.value; }
/*    */   
/* 54 */   public void setValue(String value) { this.value = value; }
/*    */   
/*    */   public static RuntimeJobState fromValue(String value)
/*    */     throws IllegalArgumentException
/*    */   {
/* 59 */     RuntimeJobState enumeration = (RuntimeJobState)table.get(value);
/*    */     
/* 61 */     if (enumeration == null) throw new IllegalArgumentException();
/* 62 */     return enumeration;
/*    */   }
/*    */   
/*    */ 
/* 66 */   public static RuntimeJobState fromString(String value) throws IllegalArgumentException { return fromValue(value); }
/*    */   
/* 68 */   public boolean equals(Object obj) { return obj == this; }
/* 69 */   public int hashCode() { return toString().hashCode(); }
/* 70 */   public String toString() { return this.value; }
/* 71 */   public Object readResolve() throws ObjectStreamException { return fromValue(this.value); }
/*    */   
/*    */ 
/*    */   public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType)
/*    */   {
/* 76 */     return new EnumSerializer(_javaType, _xmlType);
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */ 
/*    */   public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType)
/*    */   {
/* 84 */     return new EnumDeserializer(_javaType, _xmlType);
/*    */   }
/*    */   
/*    */ 
/*    */ 
/* 89 */   private static TypeDesc typeDesc = new TypeDesc(RuntimeJobState.class);
/*    */   
/*    */   static
/*    */   {
/* 93 */     typeDesc.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "RuntimeJobState"));
/*    */   }
/*    */   
/*    */ 
/*    */   public static TypeDesc getTypeDesc()
/*    */   {
/* 99 */     return typeDesc;
/*    */   }
/*    */   
/*    */   protected RuntimeJobState() {}
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\RuntimeJobState.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */